# Ogre::DefaultShadowCameraSetup Class Reference

Implements default shadow camera setup. More...

`#include <OgreShadowCameraSetup.h>`

Inheritance diagram for Ogre::DefaultShadowCameraSetup:
[legend]

List of all members.

## Public Member Functions

| DefaultShadowCameraSetup ()
| Default constructor.
virtual | ~DefaultShadowCameraSetup ()
| Destructor.
virtual void | getShadowCamera (const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam) const
| Default shadow camera setup.

## Detailed Description

Implements default shadow camera setup.

Remarks:
  This implements the default shadow camera setup algorithm. This is what might be referred to as "normal" shadow mapping.

Definition at line 81 of file OgreShadowCameraSetup.h.

## Constructor & Destructor Documentation

Ogre::DefaultShadowCameraSetup::DefaultShadowCameraSetup | ( |  | ) |

Default constructor.

virtual Ogre::DefaultShadowCameraSetup::~DefaultShadowCameraSetup | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void Ogre::DefaultShadowCameraSetup::getShadowCamera | ( | const SceneManager * | sm,
|  | const Camera * | cam,
|  | const Viewport * | vp,
|  | const Light * | light,
|  | Camera * | texCam |
| ) |  |  | const`[virtual]`

Default shadow camera setup.

Implements Ogre::ShadowCameraSetup.

The documentation for this class was generated from the following file:

- OgreShadowCameraSetup.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:29:44 2008